Subject: Re: 23.0.60; org-mode does not honour shift-select-mode

From: Carsten Dominik <[email-masked]>
Date: Tue, 20 Jan 2009 06:22:28 +0100

Hi Chong,

thank you for bringing this to my attention.  However, it not
clear to me how modifying the interactive form would solve the
issue that in Org, S-curser keys are used for different fuctionality?

- Carsten

On Jan 20, 2009, at 4:18 AM, Chong Yidong wrote:

> Hi Carsten,
>
> Here's a bug report/feature request for org mode.  Adding
> shift-selection should be as simple as changing (interactive "P") to
> (interactive "^P") in the relevant functions.  I don't know if this
> might break XEmacs, though.
>
>
> "Andreas Amann" <[email-masked]> wrote:
>
>> since shift-select-mode is set to t by default (see src/callint.c), I
>> would expect that shift-movements select a region, and that major
>> modes should not override this behaviour, without being asked of  
>> doing
>> so.
>
>> actual behaviour: upon shift-left the binding org-shiftleft is called
>> which marks the current item as "DONE". This is very confusing for
>> people accostumed to shift-selection, which works very well in all
>> other emacs modes I know.
>